Update toolkit to 3.6.0.

Topics: Archive - General
Mar 12, 2015 at 1:57 PM
Hi,

How is the best way update the toolkit from 3.5.0 to 3.6.0?
Do i have to copy and paste all my custom lines/scripts in old Deploy-Application.ps1 to the new Deploy-Application.ps1?

Thanx
Mar 14, 2015 at 1:59 AM
I would like saying just copy everything and change the xml options as it was previously.
Apr 11, 2015 at 2:39 AM
I feel that I may have to rewrite all my scripts on a one-by-one basis depending on the script?
Seems that some variables have changed slightly?

any insight into updating would be appreciated.

Thanks
Apr 13, 2015 at 7:39 PM
Each of your packages have their own copy of the AppDeployToolkit folder.

If you have functioning, known good, tested package that works fine; Don't change it just because the Toolkit got a new version.

That's it.

If you need a New package and want to use the updated toolkit, go for it.
Just don't go and change scripts from your old packages just because you can.
Apr 13, 2015 at 8:06 PM
Thanks for the reply!

I am wondering if the script has any hooks in it though?

If you open a fresh script from version 3.6.0, line 70 makes me nervous:
[version]$deployAppScriptVersion = [version]'3.6.0'

Same line in version 3.5.0:
[version]$deployAppScriptVersion = [version]'3.5.0'

Do these play any role? I am lead to believe they to for something, i just don't know what....

Thanks in advance